#include <bits/stdc++.h>
#include "guess.h"

using namespace std;
using ll = long long;
using vll = vector<ll>;

int find_number(int e){
    int s = 1;
    while(s<e){
        ll m = (s+e+1)/2;
        if(smaller(m))e=m-1;
        else s=m;
    }
    return s;
}